# Venue

Represents a Venue through which settlements are handled

## Hierarchy

* [Entity](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)‹UniqueIdentifiers›

  ↳ **Venue**

## Index

### Properties

* [addInstruction](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#addinstruction)
* [context](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#protected-context)
* [id](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#id)
* [uuid](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#uuid)

### Methods

* [details](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#details)
* [exists](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#exists)
* [getPendingInstructions](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#getpendinginstructions)
* [generateUuid](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#static-generateuuid)
* [unserialize](/polymesh-sdk-api-reference/docs-v4/classes/venue.md#static-unserialize)

## Properties

### addInstruction

• **addInstruction**: *ProcedureMethod‹*[*AddInstructionParams*](/polymesh-sdk-api-reference/docs-v4/interfaces/addinstructionparams.md)*,* [*Instruction*](/polymesh-sdk-api-reference/docs-v4/classes/instruction.md)*›*

*Defined in* [*src/api/entities/Venue/index.ts:167*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Venue/index.ts#L167)

Creates a settlement Instruction in this Venue

**`param`** array of token movements (amount, from, to, token)

**`param`** date at which the trade was agreed upon (optional, for offchain trades)

**`param`** date at which the trade was executed (optional, for offchain trades)

**`param`** block at which the Instruction will be executed automatically (optional, the Instruction will be executed when all participants have authorized it if not supplied)

**`note`** required role:

* Venue Owner

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v4/classes/context.md)

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)*.*[*context*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Entity.ts#L48)

### id

• **id**: *BigNumber*

*Defined in* [*src/api/entities/Venue/index.ts:47*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Venue/index.ts#L47)

Identifier number of the venue

### uuid

• **uuid**: *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)*.*[*uuid*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Entity.ts#L46)

## Methods

### details

▸ **details**(): *Promise‹*[*VenueDetails*](/polymesh-sdk-api-reference/docs-v4/interfaces/venuedetails.md)*›*

*Defined in* [*src/api/entities/Venue/index.ts:87*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Venue/index.ts#L87)

Retrieve information specific to this venue

**Returns:** *Promise‹*[*VenueDetails*](/polymesh-sdk-api-reference/docs-v4/interfaces/venuedetails.md)*›*

### exists

▸ **exists**(): *Promise‹boolean›*

*Defined in* [*src/api/entities/Venue/index.ts:68*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Venue/index.ts#L68)

Retrieve whether the Venue exists

**Returns:** *Promise‹boolean›*

### getPendingInstructions

▸ **getPendingInstructions**(): *Promise‹*[*Instruction*](/polymesh-sdk-api-reference/docs-v4/classes/instruction.md)*\[]›*

*Defined in* [*src/api/entities/Venue/index.ts:121*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Venue/index.ts#L121)

Retrieve all pending Instructions in this Venue

**Returns:** *Promise‹*[*Instruction*](/polymesh-sdk-api-reference/docs-v4/classes/instruction.md)*\[]›*

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)*.*[*generateUuid*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**: *object*

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)*.*[*unserialize*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**: *object*

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v4/classes/venue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
